<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Untitled :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/asciidoc-toolkit/latest/Includes/003.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../../_'</script>
    <link rel="icon" href="../../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:asciidoc-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="asciidoc-toolkit" data-version="1.8">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="../index.html">AsciiDoc toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../api.html">API description</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../advanced-topics.html">Advanced topics</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../known-issues.html">Known issues</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">AsciiDoc toolkit</span>
    <span class="version">1.8</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <a class="title" href="../index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="../index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.8</button>
  <div class="version-menu">
    <a class="version is-current" href="003.html">1.8</a>
    <a class="version" href="../../1.7/Includes/003.html">1.7</a>
    <a class="version" href="../../1.6/Includes/003.html">1.6</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/asciidoc-toolkit/edit/docs/v1.8/docs/modules/ROOT/pages/Includes/003.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<div class="sect1">
<h2 id="create-table"><a class="anchor" href="#create-table"></a>Create table</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="../_images/Create_table_icon.png" alt="Create table icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="../_images/Create_table.png" alt="Create table">
</div>
</div>
<div class="sect2">
<h3 id="create-table-2"><a class="anchor" href="#create-table-2"></a>Create Table</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Advanced_Table.lvclass_Create_Table__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Advanced Table.lvclass Create Table  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Create a table block using either a 2D array of &lt;b&gt;Table cell&lt;/b&gt;s or strings for the content.</p>
</div>
<div class="paragraph">
<p>&lt;b&gt;Note 1:&lt;/b&gt; Nesting is permitted to a maximum depth of 1 (i.e. table in a table) only (only possible when building a table from table cells).
&lt;b&gt;Note 2: &lt;/b&gt; Row attributes override cell attributes, and both override column attributes</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/tables/build-a-basic-table/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/tables/build-a-basic-table/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-table-cell"><a class="anchor" href="#create-table-cell"></a>Create table cell</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Table_Cell.lvclass_Create_table_cell.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Table Cell.lvclass Create table cell.vi">
</div>
</div>
<div class="paragraph">
<p>Create a table cell object.</p>
</div>
<div class="paragraph">
<p>A Table cell can contain any asciidoc bloc, including another table (&lt;b&gt;Note&lt;/b&gt; only one level of table nesting is permitted by the renderer).</p>
</div>
<div class="paragraph">
<p>Table cells are used to build the content of an advanced table bloc, they should &lt;b&gt;not&lt;/b&gt; be added directly to a document section.</p>
</div>
<div class="paragraph">
<p>&lt;b&gt;Note:&lt;/b&gt; Style can only be set for cells containing paragraph text.</p>
</div>
</div>
</div>
</div>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../../_/js/site.js" data-ui-root-path="../../../_"></script>
<script async src="../../../_/js/vendor/highlight.js"></script>
<script src="../../../_/js/vendor/lunr.js"></script>
<script src="../../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../../.." data-snippet-length="100" data-stylesheet="../../../_/css/search.css"></script>
<script async src="../../../search-index.js"></script>
  </body>
</html>
